Bug 218437 - GFS2: BUG in lookup_block
GFS2: BUG in lookup_block
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: GFS-kernel (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Whitehouse
:
Depends On:
Blocks: 218780
  Show dependency treegraph
 
Reported: 2006-12-05 06:33 EST by Christine Caulfield
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.6.19-1.2895
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-15 04:33:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christine Caulfield 2006-12-05 06:33:53 EST
Description of problem:
Under load gfs2 can crash with the stack trace below.


Version-Release number of selected component (if applicable):
in Steve's gfs2-2.6-fixes tree but not gfs2-2.6-nmw

How reproducible:
Quite easily

Steps to Reproduce:
1. Start up 7 nodes (fewer may also work but this always does)
2. mount the same gfs2 filesystem on all
3. cpio -pmd /usr /mnt/gfs2/`hostname`/
  
Actual results:
Some nodes will crash 

Expected results:
no crash

Additional info:
This was on UP i686 nodes running an SMP kernel

Stack trace observed

BUG: unable to handle kernel paging request at virtual address c3538004
 printing eip:e04b9f14
*pde = 0000e067
*pte = 03538000
Oops: 0000 [#1]
SMP DEBUG_PAGEALLOC
Modules linked in: lock_nolock lock_dlm dlm gfs2 configfs sctp ipv6 dm_round_rob
in iscsi_tcp libiscsi scsi_transport_iscsi dm_multipath
CPU:    0
EIP:    0060:[<e04b9f14>]    Not tainted VLI
EFLAGS: 00010282   (2.6.19-rc4 #4)
EIP is at lookup_block+0x3d/0x11a [gfs2]
eax: c3538008   ebx: 00000000   ecx: c3538000   edx: c3538000
esi: c348e540   edi: c35439b0   ebp: c7c35bdc   esp: c7c35bb8
ds: 007b   es: 007b   ss: 0068
Process cpio (pid: 4016, ti=c7c34000 task=d22365b0 task.ti=c7c34000)
Stack: c3543d58 000001e2 cefc9000 00000000 c348e540 c3538000 00000000 c7f16cfc
       00000000 c7c35c40 e04bb39d c7c35c8c 00000000 c7c35c2c c7c35c1c 00000000
       c7c35c30 00000001 001e3000 00000000 000001e2 00000000 c35439b0 00000020
Call Trace:
 [<c0103d85>] show_trace_log_lvl+0x26/0x3c
 [<c0103e38>] show_stack_log_lvl+0x9d/0xa5
 [<c01041e8>] show_registers+0x1af/0x249
 [<c01045a9>] die+0x1dd/0x2c6
 [<c0111932>] do_page_fault+0x488/0x562
 [<c0329841>] error_code+0x39/0x40
 [<e04bb39d>] gfs2_block_pointers+0x327/0x398 [gfs2]
 [<e04bb49d>] gfs2_extent_map+0x8f/0xe0 [gfs2]
 [<e04bb674>] gfs2_write_alloc_required+0x186/0x1c5 [gfs2]
 [<e04cdd8d>] gfs2_prepare_write+0xd4/0x280 [gfs2]
 [<c013ec62>] generic_file_buffered_write+0x201/0x5b9
 [<c01401f9>] __generic_file_aio_write_nolock+0x4c7/0x518
 [<c014029f>] generic_file_aio_write+0x55/0xb9
 [<c0159c33>] do_sync_write+0xc5/0xff
 [<c015a2b8>] vfs_write+0xa7/0x184
 [<c015ab13>] sys_write+0x47/0x6b
 [<c0102ecd>] sysenter_past_esp+0x56/0x8d
 =======================
Code: c0 89 4d e8 25 d0 00 00 00 8b 75 ec 8b 4a 18 8b 5d e8 8b 55 08 8d 44 08 18
0f b7 14 5a 8d 14 d0 89 55 f0 89 d0 03 4e 14 83 c0
08 <8b> 5a 04 39 c8 8b 0a 0f 94 c0 89 da 0f b6 f0 09 ca 74 16 89 c8
EIP: [<e04b9f14>] lookup_block+0x3d/0x11a [gfs2] SS:ESP 0068:c7c35bb8
Comment 1 Steve Whitehouse 2006-12-05 06:40:01 EST
Actually it is in -nmw too, and should shortly go upstream. The URL is:

http://www.kernel.org/git/?p=linux/kernel/git/steve/gfs2-2.6-nmw.git;a=commitdiff;h=4cf1ed8144e740de27c6146c25d5d7ea26679cc5

Comment 2 Steve Whitehouse 2007-01-15 04:33:54 EST
Fixed in FC6 kernel 2.6.19-1.2895

Note You need to log in before you can comment on or make changes to this bug.